[{assign var='oHeidelPaySettings' value=$oHeidelpayViewConfig->getSettings()}]
[{if $oHeidelPaySettings->isAssignedToHeidelPayment($paymentmethod) && $oHeidelpayViewConfig->isPaymentUsingRegistration($payment) && !$oHeidelpayViewConfig->isPaymentUseInputAfterStep4($payment->getId())}]
    [{assign var='oHeidelPayment' value=$oHeidelPaySettings->getPayment($paymentmethod)}]
<form action="[{$oHeidelpayViewConfig->getHeidelpayNgwRequestUrl($paymentmethod, $oHeidelPayment, $oxcmp_user)}]"
      class="js-oxValidate payment"
      id="payment-[{$paymentmethod->getId()}]"
      name="order-[{$paymentmethod->getId()}]"
      method="post"
      autocomplete="off">
    <div>[{$oHeidelpayViewConfig->getNgwError($paymentmethod)}]</div>
[{else}]

    <form action="[{$oViewConf->getSslSelfLink()}]"
          class="oxValidate payment"
          id="payment-[{$paymentmethod->getId()}]"
          name="order-[{$paymentmethod->getId()}]"
          method="post">
        <div>
            [{$oViewConf->getHiddenSid()}]
            [{$oViewConf->getNavFormParams()}]
            <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
            <input type="hidden" name="fnc" value="validatepayment">
        </div>

[{/if}]
